Module java.base
Package java.security

## Interface PublicKey

All Superinterfaces:
  Key, Serializable

All Known Subinterfaces:
  DHPublicKey, DSAPublicKey, ECPublicKey, RSAPublicKey

    public interface PublicKey
    extends Key

A public key. This interface contains no methods or constants. It merely serves to group (and provide type safety for) all public key interfaces. Note: The specialized public key interfaces extend this interface. See, for example, the DSAPublicKey interface in `java.security.interfaces`.

See Also:
  `Key`, `PrivateKey`, `Certificate`, `Signature.initVerify(java.security.PublicKey)`, `DSAPublicKey`, `RSAPublicKey`

### Field Summary

Fields
`static long` `serialVersionUID` The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

### Method Summary

### Methods inherited from interface java.security.Key

`getAlgorithm, getEncoded, getFormat`

### Field Detail

#### serialVersionUID

    static final long serialVersionUID

The class fingerprint that is set to indicate serialization compatibility with a previous version of the class.

See Also:
  Constant Field Values